Name:           moblin-gnome-settings
Version:        0.1
Release:        2.6.moblin2
Summary:        Package to set required gconf keys for the gnome desktop

Group:          Desktop/Interface
License:        LGPLv2.1
URL:            http://www.moblin.org
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:      noarch
Source0:        README

BuildRequires:  GConf-dbus

# We have to add Requires for each package that we are making a 
# gconf setting for to ensure that this package is not installed first
# and our default settings get clobbered.
Requires(post): metacity
Requires(post): gnome-vfs2
Requires(post): GConf-dbus
Requires(post): nautilus
Conflicts: moblin-ux-settings

%description
Dummy package to set gconf keys required by the Moblin shell.

%prep

%build
%install
cp %{SOURCE0} .

%post
# Theme
gconftool-2 --config-source=xml::/etc/gconf/gconf.xml.defaults \
            --direct --type string -s \
            /apps/metacity/general/theme "Nodoka"

gconftool-2 --config-source=xml::/etc/gconf/gconf.xml.defaults \
            --direct --type string -s \
            /desktop/gnome/interface/gtk_theme "Nodoka"

gconftool-2 --config-source=xml::/etc/gconf/gconf.xml.defaults \
            --direct --type string -s \
            /desktop/gnome/interface/icon_theme "gnome"


gconftool-2 --config-source=xml::/etc/gconf/gconf.xml.defaults \
            --direct --type string -s \
            /desktop/gnome/interface/toolbar_style "icons"

gconftool-2 --config-source=xml::/etc/gconf/gconf.xml.defaults \
            --direct --type bool -s \
            /desktop/gnome/interface/menus_have_icons true

# Window Actions
gconftool-2 --config-source=xml::/etc/gconf/gconf.xml.defaults \
            --direct --type string -s \
            /apps/metacity/general/action_double_click_titlebar "none"
gconftool-2 --config-source=xml::/etc/gconf/gconf.xml.defaults \
            --direct --type string -s \
            /apps/metacity/general/action_middle_click_titlebar "none"
gconftool-2 --config-source=xml::/etc/gconf/gconf.xml.defaults \
            --direct --type string -s \
            /apps/metacity/general/action_right_click_titlebar "none"


gconftool-2 --config-source=xml::/etc/gconf/gconf.xml.defaults \
            --direct --type string -s \
            /desktop/gnome/url-handlers/http/command 'firefox %s'

gconftool-2 --config-source=xml::/etc/gconf/gconf.xml.defaults \
            --direct --type string -s \
            /desktop/gnome/url-handlers/https/command 'firefox %s'

gconftool-2 --config-source=xml::/etc/gconf/gconf.xml.defaults \
            --direct --type string -s \
            /desktop/gnome/background/picture_filename \
            '/usr/share/backgrounds/images/moblin-energy-blue-1024x600.png'

# Font_rendering
gconftool-2 --config-source=xml::/etc/gconf/gconf.xml.defaults \
            --direct --type float -s \
            /desktop/gnome/font_rendering/dpi 110

# Fonts
gconftool-2 --config-source=xml::/etc/gconf/gconf.xml.defaults \
            --direct --type string -s \
            /desktop/gnome/interface/document_font_name \
            'Liberation Sans 10'

gconftool-2 --config-source=xml::/etc/gconf/gconf.xml.defaults \
            --direct --type string -s \
            /desktop/gnome/interface/font_name \
            'Liberation Sans 10'

gconftool-2 --config-source=xml::/etc/gconf/gconf.xml.defaults \
            --direct --type string -s \
            /desktop/gnome/interface/monospace_font_name \
            'Liberation Mono 10'


# Nautilus
gconftool-2 --config-source=xml::/etc/gconf/gconf.xml.defaults \
            --direct --type bool -s \
            /apps/nautilus/preferences/always_use_browser true

gconftool-2 --config-source=xml::/etc/gconf/gconf.xml.defaults \
            --direct --type bool -s \
            /apps/nautilus/icon_view/labels_beside_icons true


%files
%doc README
%changelog
* Tue Apr 14 2009 Vivian Zhang <vivian.zhang@intel.com> 0.1
- Set dpi to 110 (fix #1594)
* Wed Apr  8 2009 Xu Li <xu.li@intel.com> 0.1
- Show the icons in menus
* Fri Apr  3 2009 Anas Nashif <anas.nashif@intel.com> 0.1
- initial release
